public class CustomFieldLabelsSearcher extends AbstractInitializationCustomFieldSearcher implements CustomFieldSearcher, CustomFieldStattable, SortableCustomFieldSearcher
log| Constructor and Description |
|---|
CustomFieldLabelsSearcher(FieldVisibilityManager fieldVisibilityManager,
JqlOperandResolver jqlOperandResolver,
LabelsClauseValuesGenerator labelsClauseValuesGenerator,
JiraAuthenticationContext authenticationContext,
CustomFieldInputHelper customFieldInputHelper) |
| Modifier and Type | Method and Description |
|---|---|
CustomFieldSearcherClauseHandler |
getCustomFieldSearcherClauseHandler()
Provides an object that can be used to handle the clauses that this searcher generates.
|
SearcherInformation<CustomField> |
getSearchInformation()
Provides an object that contains information about the Searcher.
|
SearchInputTransformer |
getSearchInputTransformer()
Provides an object that will allow you to transform raw request parameters to field holder values and
field holder values to
Clause search representations. |
SearchRenderer |
getSearchRenderer()
Provides an object that will allow you to render the edit and view html for a searcher.
|
LuceneFieldSorter |
getSorter(CustomField customField) |
StatisticsMapper |
getStatisticsMapper(CustomField customField)
Since Jira v8.0 a "stattable" field must have a doc value of type:
SortedDocValues,
SortedSetDocValues, BinaryDocValues, or
NumericDocValues. |
void |
init(CustomField customField)
Initialises the searcher with a given field.
|
getDescriptor, initclone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitgetDescriptor, initpublic CustomFieldLabelsSearcher(FieldVisibilityManager fieldVisibilityManager, JqlOperandResolver jqlOperandResolver, LabelsClauseValuesGenerator labelsClauseValuesGenerator, JiraAuthenticationContext authenticationContext, CustomFieldInputHelper customFieldInputHelper)
public void init(CustomField customField)
IssueSearcherinit in interface IssueSearcher<CustomField>customField - the field object. This may be null. (So you can have searchers on non-fields)public CustomFieldSearcherClauseHandler getCustomFieldSearcherClauseHandler()
CustomFieldSearchergetCustomFieldSearcherClauseHandler in interface CustomFieldSearcherpublic SearcherInformation<CustomField> getSearchInformation()
IssueSearchergetSearchInformation in interface IssueSearcher<CustomField>public SearchInputTransformer getSearchInputTransformer()
IssueSearcherClause search representations.getSearchInputTransformer in interface IssueSearcher<CustomField>public SearchRenderer getSearchRenderer()
IssueSearchergetSearchRenderer in interface IssueSearcher<CustomField>public StatisticsMapper getStatisticsMapper(CustomField customField)
CustomFieldStattableSortedDocValues,
SortedSetDocValues, BinaryDocValues, or
NumericDocValues.
Before Jira v8.0 "stattable" fields were retrieved from a Jira cache build from from Lucene index.
Since Jira v8.0 this cache is using Lucene DocValues directly.
See DocValues and supported implementations for details.getStatisticsMapper in interface CustomFieldStattablepublic LuceneFieldSorter getSorter(CustomField customField)
getSorter in interface SortableCustomFieldSearcherCopyright © 2002-2021 Atlassian. All Rights Reserved.